Loading...
Searching...
No Matches
casacore::LogIO_global_functions_output Struct Reference
casa package (libcasa_casa) » Logging_module

Functions to accumulate text in the output message. More...

`#include <LogIO.h>`

## Public Member Functions

LogIO & | operator<< (LogIO &os, const String &item)
LogIO & | operator<< (LogIO &os, const char *item)
LogIO & | operator<< (LogIO &os, Double item)
LogIO & | operator<< (LogIO &os, Complex item)
LogIO & | operator<< (LogIO &os, DComplex item)
LogIO & | operator<< (LogIO &os, Int item)
LogIO & | operator<< (LogIO &os, uInt item)
LogIO & | operator<< (LogIO &os, Int64 item)
LogIO & | operator<< (LogIO &os, uInt64 item)
LogIO & | operator<< (LogIO &os, uLong item)
LogIO & | operator<< (LogIO &os, Long item)
LogIO & | operator<< (LogIO &os, Bool item)
LogIO & | operator<< (LogIO &os, ostream &(*item)(ostream &))

## Detailed Description

Functions to accumulate text in the output message.

Accumulate text in the output message. The last entry is for things like endl.

Definition at line 285 of file LogIO.h.

## Member Function Documentation

## operator<<() [1/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | Bool | item )

## operator<<() [2/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | Complex | item )

## operator<<() [3/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | const char * | item )

## operator<<() [4/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | const String & | item )

## operator<<() [5/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | DComplex | item )

## operator<<() [6/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | Double | item )

## operator<<() [7/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | Int | item )

## operator<<() [8/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | Int64 | item )

## operator<<() [9/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | Long | item )

## operator<<() [10/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | ostream &(* | item )(ostream &) )

## operator<<() [11/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | uInt | item )

## operator<<() [12/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | uInt64 | item )

## operator<<() [13/13]

LogIO & casacore::LogIO_global_functions_output::operator<< | ( | LogIO & | os,
|  | uLong | item )

The documentation for this struct was generated from the following file:

- casa/Logging/LogIO.h